Create a new stream
POST
https://octopus.livepush.io/streams
Base URL https://octopus.livepush.io — Core Streams & Media APIs
Creates a new live stream for the authenticated user. The stream is initialized with the provided category and name and is assigned to a default processing zone.
Authorization
Send a valid access token in the Authorization header.
bearerAuth— Bearer token (JWT)
Authorization: Bearer YOUR_API_TOKEN
Try it
Loading the request builder…
POST
https://octopus.livepush.io/streams
— This call changes live data on your account.
Request body
-
categorystring requiredStream categorysimulcastschedule -
namestring requiredDisplay name for the stream
{
"category": "simulcast",
"name": "Luke Skywalker Apricot Fascinating"
}
Code samples
curl -X POST 'https://octopus.livepush.io/streams' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"category": "simulcast",
"name": "Luke Skywalker Apricot Fascinating"
}'
const response = await fetch('https://octopus.livepush.io/streams', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"category": "simulcast",
"name": "Luke Skywalker Apricot Fascinating"
}),
});
if (!response.ok) {
throw new Error(`Livepush API error ${response.status}`);
}
const data = await response.json();
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN',
'Content-Type': 'application/json',
}
payload = {
"category": "simulcast",
"name": "Luke Skywalker Apricot Fascinating"
}
response = requests.post('https://octopus.livepush.io/streams', headers=headers, json=payload, timeout=30)
response.raise_for_status()
data = response.json()
Responses
Stream created successfully
-
idstring -
chatIdstring -
embedIdstring -
createdAtstring<date-time> -
metadataobject-
namestring -
categorystringsimulcastschedule
-
-
configobject-
pullUrlMaxRetryinteger -
recordingTierstring
-
-
destinationsobject[] -
zonestringAssigned processing zone ID -
unsafeContentboolean -
hasValidatedboolean
{
"id": "st_xxxxxxxxxxxxx",
"chatId": "mc_xxxxxxxxxxxx",
"embedId": "em_xxxxxxxxxxxx",
"createdAt": "2026-01-31T09:00:00.000Z",
"metadata": {
"name": "Luke Skywalker Apricot Fascinating",
"category": "simulcast"
},
"config": {
"pullUrlMaxRetry": 5,
"recordingTier": "rise"
},
"destinations": [
{}
],
"zone": "zn_xxxxxxxxx",
"unsafeContent": true,
"hasValidated": true
}
Invalid request payload
Unauthorized